"""
Identifier:     KSC-SJ6-csst_ifs_common/ifs_status.py
Name:           ifs_status.py
Description:    CSST IFS Status
Author:         Wei Chen
"""

from enum import IntEnum


class CsstIFSStatus(IntEnum):
    """
    The CSST IFS Status class.

    This class provides a set of status which should be returned
    from each CSST L1 IFS functional module.

    Examples
    --------
    >>> def f(num):
    >>>     if num > 0:
    >>>         return CsstIFSStatus.PERFECT
    >>>     return CsstIFSStatus.ERROR
    """
    PERFECT = 0
    WARNING = 1
    ERROR = 2
    # status list to be completed

#
# class IFSError(Exception):
#     def __init__(self, msg):
#         self.msg = msg
#
#     def __str__(self):
#         return self.msg
