"""
Identifier:     KSC-SJ6-csst_ifs_common/logger.py
Name:           logger.py
Description:    CSST IFS Logger
Author:         Wei Chen
"""

import logging


def get_logger(name="CSST L1 IFS Pipeline", filename=""):
    """
    Get a logger for CSST L1 Pipeline.

    Just copy form bo zhang.

    need mod for ifs
    """

    # initialize logger
    logger = logging.getLogger(name=name)
    logger.handlers.clear()
    logger.setLevel(logging.DEBUG)

    # logging formatter
    formatter = logging.Formatter("%(asctime)s - %(levelname)s - %(module)s.py:%(lineno)d - %(message)s")

    # stream handler
    stream_handler = logging.StreamHandler()
    stream_handler.setFormatter(formatter)
    stream_handler.setLevel(logging.DEBUG)
    logger.addHandler(stream_handler)

    # file handler
    if filename != "":
        file_handler = logging.FileHandler(filename=filename, encoding="utf-8")
        file_handler.setFormatter(formatter)
        file_handler.setLevel(logging.INFO)
        logger.addHandler(file_handler)

    return logger

#
# def upload_logger(path_file=""):
#     # logger upload code here
#     print(path_file)
#     return
#
#
# def check_logger(path_file=""):
#     # check upload code here
#     print(path_file)
#     return
#
#
# if __name__ == "__main__":
#     import os
#     print(os.getcwd())
#     logger = get_logger(filename="test_logger.log")
#     print(type(logger), logger.name)
#     logger.debug("Well ..")
#     logger.info("Hello ...")
#     logger.warning("There ...")
#     logger.error("Good morning ...")
