# -*- coding: utf-8 -*-

from abc import abstractmethod, ABCMeta
from csst_ifs_common.common import CsstIFSInit
from csst_ifs_common.ifs_status import CsstIFSStatus
from csst_ifs_common.ifs_result import CsstIFSResult

csst_ifs = CsstIFSInit()

# 数据处理软件编写主调用类范例
class L1Example(BasePipelineInterface):
    def __init__(self):
        self.result = CsstIFSStatus
        self.logger = csst_ifs.logger
        self.status = CsstIFSResult

    # 在此处编写代码，使得用户通过执行此方法运行程序
    def run(self):
        pass

    # 在此处编写代码，使得用户通过执行此方法配置参数，所有参数应当含有默认值，输入参数非必须。此处可以通过指定参数，给与不同情况的初始化参数配置
    def para_set(self, list_para):
        pass

    # 在此处编写代码，使得用户通过执行此方法进行结果检查
    def result_check(self):
        pass

